// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/sea-eevee/backend/merchant/repo/repo_merchant (interfaces: Contract)

// Package mock_repo_merchant is a generated GoMock package.
package mock_repo_merchant

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	repo_merchant "gitlab.com/sea-eevee/backend/merchant/repo/repo_merchant"
)

// MockContract is a mock of Contract interface.
type MockContract struct {
	ctrl     *gomock.Controller
	recorder *MockContractMockRecorder
}

// MockContractMockRecorder is the mock recorder for MockContract.
type MockContractMockRecorder struct {
	mock *MockContract
}

// NewMockContract creates a new mock instance.
func NewMockContract(ctrl *gomock.Controller) *MockContract {
	mock := &MockContract{ctrl: ctrl}
	mock.recorder = &MockContractMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockContract) EXPECT() *MockContractMockRecorder {
	return m.recorder
}

// BankCreate mocks base method.
func (m *MockContract) BankCreate(arg0 *repo_merchant.MerchantBank) (uint64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "BankCreate", arg0)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// BankCreate indicates an expected call of BankCreate.
func (mr *MockContractMockRecorder) BankCreate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "BankCreate", reflect.TypeOf((*MockContract)(nil).BankCreate), arg0)
}

// BankDelete mocks base method.
func (m *MockContract) BankDelete(arg0, arg1 uint64) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "BankDelete", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// BankDelete indicates an expected call of BankDelete.
func (mr *MockContractMockRecorder) BankDelete(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "BankDelete", reflect.TypeOf((*MockContract)(nil).BankDelete), arg0, arg1)
}

// BankReadMany mocks base method.
func (m *MockContract) BankReadMany(arg0 uint64) ([]*repo_merchant.MerchantBank, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "BankReadMany", arg0)
	ret0, _ := ret[0].([]*repo_merchant.MerchantBank)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// BankReadMany indicates an expected call of BankReadMany.
func (mr *MockContractMockRecorder) BankReadMany(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "BankReadMany", reflect.TypeOf((*MockContract)(nil).BankReadMany), arg0)
}

// BankUpdate mocks base method.
func (m *MockContract) BankUpdate(arg0 *repo_merchant.MerchantBank) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "BankUpdate", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// BankUpdate indicates an expected call of BankUpdate.
func (mr *MockContractMockRecorder) BankUpdate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "BankUpdate", reflect.TypeOf((*MockContract)(nil).BankUpdate), arg0)
}

// ItemCreate mocks base method.
func (m *MockContract) ItemCreate(arg0 *repo_merchant.ItemDetail) (uint64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ItemCreate", arg0)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ItemCreate indicates an expected call of ItemCreate.
func (mr *MockContractMockRecorder) ItemCreate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ItemCreate", reflect.TypeOf((*MockContract)(nil).ItemCreate), arg0)
}

// ItemDelete mocks base method.
func (m *MockContract) ItemDelete(arg0 uint64) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ItemDelete", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// ItemDelete indicates an expected call of ItemDelete.
func (mr *MockContractMockRecorder) ItemDelete(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ItemDelete", reflect.TypeOf((*MockContract)(nil).ItemDelete), arg0)
}

// ItemReadManyByMerchantID mocks base method.
func (m *MockContract) ItemReadManyByMerchantID(arg0 uint64) ([]*repo_merchant.ItemDetail, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ItemReadManyByMerchantID", arg0)
	ret0, _ := ret[0].([]*repo_merchant.ItemDetail)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ItemReadManyByMerchantID indicates an expected call of ItemReadManyByMerchantID.
func (mr *MockContractMockRecorder) ItemReadManyByMerchantID(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ItemReadManyByMerchantID", reflect.TypeOf((*MockContract)(nil).ItemReadManyByMerchantID), arg0)
}

// ItemReadOne mocks base method.
func (m *MockContract) ItemReadOne(arg0 uint64) (*repo_merchant.ItemDetail, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ItemReadOne", arg0)
	ret0, _ := ret[0].(*repo_merchant.ItemDetail)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ItemReadOne indicates an expected call of ItemReadOne.
func (mr *MockContractMockRecorder) ItemReadOne(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ItemReadOne", reflect.TypeOf((*MockContract)(nil).ItemReadOne), arg0)
}

// ItemUpdate mocks base method.
func (m *MockContract) ItemUpdate(arg0 uint64, arg1 *repo_merchant.ItemDetail) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ItemUpdate", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// ItemUpdate indicates an expected call of ItemUpdate.
func (mr *MockContractMockRecorder) ItemUpdate(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ItemUpdate", reflect.TypeOf((*MockContract)(nil).ItemUpdate), arg0, arg1)
}

// LocationReadMany mocks base method.
func (m *MockContract) LocationReadMany() ([]*repo_merchant.Location, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "LocationReadMany")
	ret0, _ := ret[0].([]*repo_merchant.Location)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// LocationReadMany indicates an expected call of LocationReadMany.
func (mr *MockContractMockRecorder) LocationReadMany() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "LocationReadMany", reflect.TypeOf((*MockContract)(nil).LocationReadMany))
}

// ProfileCreate mocks base method.
func (m *MockContract) ProfileCreate(arg0 *repo_merchant.MerchantProfile) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ProfileCreate", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// ProfileCreate indicates an expected call of ProfileCreate.
func (mr *MockContractMockRecorder) ProfileCreate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ProfileCreate", reflect.TypeOf((*MockContract)(nil).ProfileCreate), arg0)
}

// ProfileReadOne mocks base method.
func (m *MockContract) ProfileReadOne(arg0 uint64) (*repo_merchant.MerchantProfile, *repo_merchant.Location, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ProfileReadOne", arg0)
	ret0, _ := ret[0].(*repo_merchant.MerchantProfile)
	ret1, _ := ret[1].(*repo_merchant.Location)
	ret2, _ := ret[2].(error)
	return ret0, ret1, ret2
}

// ProfileReadOne indicates an expected call of ProfileReadOne.
func (mr *MockContractMockRecorder) ProfileReadOne(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ProfileReadOne", reflect.TypeOf((*MockContract)(nil).ProfileReadOne), arg0)
}

// ProfileUpdate mocks base method.
func (m *MockContract) ProfileUpdate(arg0 *repo_merchant.MerchantProfile) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ProfileUpdate", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// ProfileUpdate indicates an expected call of ProfileUpdate.
func (mr *MockContractMockRecorder) ProfileUpdate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ProfileUpdate", reflect.TypeOf((*MockContract)(nil).ProfileUpdate), arg0)
}

// TransactionReadMany mocks base method.
func (m *MockContract) TransactionReadMany(arg0 uint64) ([]*repo_merchant.MerchantTransactionHistory, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "TransactionReadMany", arg0)
	ret0, _ := ret[0].([]*repo_merchant.MerchantTransactionHistory)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// TransactionReadMany indicates an expected call of TransactionReadMany.
func (mr *MockContractMockRecorder) TransactionReadMany(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "TransactionReadMany", reflect.TypeOf((*MockContract)(nil).TransactionReadMany), arg0)
}

// TransferInsert mocks base method.
func (m *MockContract) TransferInsert(arg0 *repo_merchant.MerchantTransfer) (uint64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "TransferInsert", arg0)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// TransferInsert indicates an expected call of TransferInsert.
func (mr *MockContractMockRecorder) TransferInsert(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "TransferInsert", reflect.TypeOf((*MockContract)(nil).TransferInsert), arg0)
}

// TransferReadMany mocks base method.
func (m *MockContract) TransferReadMany(arg0 uint64) ([]*repo_merchant.MerchantTransfer, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "TransferReadMany", arg0)
	ret0, _ := ret[0].([]*repo_merchant.MerchantTransfer)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// TransferReadMany indicates an expected call of TransferReadMany.
func (mr *MockContractMockRecorder) TransferReadMany(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "TransferReadMany", reflect.TypeOf((*MockContract)(nil).TransferReadMany), arg0)
}
